Subject: RE: [imss] imss WG Last Call: Fibre Channel RSCN, Fabric Config S

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 4 Sep 2006 12:58:26 +0200

Inline

> -----Original Message-----
> From: Keith McCloghrie [mailto:[email-masked]]
> Sent: Monday, September 04, 2006 12:13
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [imss] imss WG Last Call: Fibre Channel RSCN, 
> Fabric Config
> S
> 
> 
> Hi Bert,
> 
> I've fixed the missing comma in my source file (but I'll defer submitting
> an updated I-D until after all the Last Call comments are in).

Yep, understood.
And I am doing more review. the initial message was just SMICng results.

> The
> INDEX issues are both situations where smilint doesn't find anything
> wrong -- in both cases, the semantics of the INDEX clause are as
> intended, and (I expect) the SMICng warning would go away if a new
> auxiliary object were defined with identical semantics, rather than
> re-using an object which is an auxiliary object in another table.  So,
> they would (I think) be easy to fix if that's what you prefer.
> 

AS long as we know that this is how we want to do the INDEXing and
understand why the SMICng warns us, then I am fine. No need to "fix"
if for me. Others may think different, if so, they better speak up.

Bert
> Thanks,
> Keith.
>  
> > Here are the SMICng results:
> > 
> >   C:\bwijnen\smicng\work>smicng T11-FC-FABRIC-CONFIG-SERVER-MIB.inc
> >   W: f(T11-FC-FABRIC-CONFIG-SERVER-MIB.mi2), (716,15) Row 
> >   "t11FcsPortListEntry" does not have a consistent indexing scheme
> >   - index items from current table must come after index items from
> >   other tables
> > 
> >   *** 0 errors and 1 warning in parsing
> > 
> >   C:\bwijnen\smicng\work>smicng T11-FC-FABRIC-LOCK-MIB.inc
> >   Successful parsing
> > 
> >   C:\bwijnen\smicng\work>smicng T11-FC-RSCN-MIB.inc
> >   E: f(T11-FC-RSCN-MIB.mi2), (198,5) Missing comma between 
> sequence items
> > 
> >   *** 1 error and 0 warnings in parsing
> > 
> >   C:\bwijnen\smicng\work>smicng T11-FC-ZONE-SERVER-MIB.inc
> >   W: f(T11-FC-ZONE-SERVER-MIB.mi2), (959,15) Row "t11ZsSetZoneEntry"
> >   does not have a consistent indexing scheme - cannot 
> specify an index
> >   item from additional "base row" t11ZsSetEntry, since can 
> have only one
> >   "base row" which is t11ZsZoneEntry
> > 
> >   *** 0 errors and 1 warning in parsing
> > 
> > The two warnings for inconistent indexing are possibly OK 
> if what we did
> > is indeed intended.
> > 
> > The missing comma should be fixed. It is in this table:
> > T11FcRscnStatsEntry ::= SEQUENCE {
> >     t11FcRscnInScrs                    Counter32,
> >     t11FcRscnInRscns                   Counter32,
> >     t11FcRscnOutRscns                  Counter32,
> >     t11FcRscnInSwRscns                 Counter32,
> >     t11FcRscnOutSwRscns                Counter32,
> >     t11FcRscnScrRejects                Counter32,
> >     t11FcRscnRscnRejects               Counter32,
> >     t11FcRscnSwRscnRejects             Counter32
> >     t11FcRscnInUnspecifiedRscns        Counter32,
> >     t11FcRscnOutUnspecifiedRscns       Counter32,
> >     t11FcRscnInChangedAttribRscns      Counter32,
> >     t11FcRscnOutChangedAttribRscns     Counter32,
> >     t11FcRscnInChangedServiceRscns     Counter32,
> >     t11FcRscnOutChangedServiceRscns    Counter32,
> >     t11FcRscnInChangedSwitchRscns      Counter32,
> >     t11FcRscnOutChangedSwitchRscns     Counter32,
> >     t11FcRscnInRemovedRscns            Counter32,
> >     t11FcRscnOutRemovedRscns           Counter32
> > }
> > 
> > Bert
> > 
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]
> > > Sent: Saturday, August 26, 2006 02:26
> > > To: [email-masked]
> > > Cc: [email-masked]; [email-masked]
> > > Subject: [imss] imss WG Last Call: Fibre Channel RSCN, 
> Fabric Config
> > > Svr, and Zone Svr MIBs
> > > 
> > > 
> > > This is to announce an imss WG Last Call on the following
> > > three MIB drafts:
> > > 
> > >      Fibre Channel Registered State Change Notification (RSCN) MIB
> > >                    draft-ietf-imss-fc-rscn-mib-00.txt
> > > 
> > >              Fibre-Channel Fabric Configuration Server MIB
> > >                    draft-ietf-imss-fc-fcs-mib-00.txt
> > > 
> > >                      Fibre-Channel Zone Server MIB
> > >                     draft-ietf-imss-fc-zs-mib-00.txt
> > >  
> > > This WG Last Call will run through 12 midnight Eastern Time on
> > > Sunday, September 17, 2006 (your WG chair hopes to deal with
> > > Last Call results during the week of September 18th).
> > > 
> > > Technical comments *must* be sent to the imss mailing list.
> > > Editorial comments may be sent directly to the draft editor
> > > (but please cc: me) - all three drafts have the same editor:
> > > 
> > > 		Keith McCloghrie [[email-masked]]
> > > 
> > > Thanks,
> > > --David (imss WG chair)
> > > ----------------------------------------------------
> > > David L. Black, Senior Technologist
> > > EMC Corporation, 176 South St., Hopkinton, MA  01748
> > > +1 (508) 293-7953             FAX: +1 (508) 293-7786
> > > [email-masked]        Mobile: +1 (978) 394-7754
> > > ----------------------------------------------------
> > > 
> > > _______________________________________________
> > > imss mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/imss
> > > 
> > 
> > _______________________________________________
> > imss mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/imss
> > 
> 

_______________________________________________
imss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/imss

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 4 Sep 2006 13:00:37 +0200

And I can live with your choice Keith.
So if no-one else speaks up, then you can keep it as is.

Bert

> Sent: Monday, September 04, 2006 12:53
> To: [email-masked]
> Cc: [email-masked]
> See my earlier response for most of the issues.
> 
> The one new issue is the use of ifIndex in a notification's OBJECTS
> clause.  This is another case where SMIC is providing an individual's
> personal interpretation of the SMI, rather than being based on what
> the SMI actually says, which is (from section 8.1 of RFC 2578):
> 								An
>    object type specified in this clause must not have an MAX-ACCESS
>    clause of "not-accessible".
> 
> whereas ifIndex has always had a MAX-ACCESS clause of "read-only".  
> 
> Note also the linkUp and linkDown notiifcations also have ifIndex in
> their OBJECTS clause.  My experience is that customers prefer the use
> of auxiliary objects in notifications, and so, in places where the SMI
> allows it, I define them so intentionally.
> 
> Keith.
> 
> 
> > SMIC strict checking reveals the following:
> > 
> >   C:\bwijnen\smicng\work>smicstrict
> > 
> >   does not have a consistent indexing scheme - cannot specify an
> >   index item from additional "base row" t11ZsSetEntry, since can
> >   have only one "base row" which is t11ZsZoneEntry
> > 
> > Keith, what is your comments on this one?
> >
> >   W: f(T11-FC-ZONE-SERVER-MIB.mi2), (2254,20) Variable "ifIndex"
> >   in notification "t11ZsMergeFailureNotify" is an index for a table
> >   W: f(T11-FC-ZONE-SERVER-MIB.mi2), (2269,20) Variable "ifIndex" in
> >   notification "t11ZsMergeSuccessNotify" is an index for a table
> > 
> > I do not see the above two as fatal flaws. We could pass ifAlias,
> > or some other columnar-object of the ifTable I guess. That 
> would make
> > the warning go away, and we would be sending extra information in
> > the notification.
> > 
> >   E: f(T11-FC-RSCN-MIB.mi2), (198,5) Missing comma between sequence
> >   items
> > 
> > Just add the comma (as stated earlier).
> > 
> > is OK
> > Keith, can you comment?

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 4 Sep 2006 13:02:24 +0200

As I said "it is just a warning".
I think it would not hurt to add a DISPLAY-HINT.
But if that is the only reason to respin the draft, 
then I can also live with not adding it.

Bert

> Sent: Monday, September 04, 2006 12:57
> To: [email-masked]
> Cc: [email-masked]
> RFC 2579 says:
>    The DISPLAY-HINT clause, which need not be present, gives 
> a hint ...
> 
> but I can add them if that is your wish.
>  
> Keith.
> 
> 
> > SMIlint tells me the following:
> > 
> >   C:\smi\mibs\work>smilint -m -s -l 6 ./T11-FC-ZONE-SERVER-MIB
> >   ./T11-FC-ZONE-SERVER-MIB:117: [5] {type-without-format} warning:
> >    type `T11ZsZoneMemberType' has no format specification
> > 
> > It is just a warning. Yet we may want to add a DISPLAY-HINT.
> > 
> >   C:\smi\mibs\work>smilint -m -s -l 6 ./T11-FC-RSCN-MIB
> > 
> >   C:\smi\mibs\work>smilint -m -s -l 6 ./T11-FC-FABRIC-LOCK-MIB
> > 
> >   C:\smi\mibs\work>smilint -m -s -l 6 
> ./T11-FC-FABRIC-CONFIG-SERVER-MIB
> >   ./T11-FC-FABRIC-CONFIG-SERVER-MIB:706: [5] 
> {index-element-not-accessible}
> >   warning: exactly one index element of row `t11FcsPortListEntry' 
> >   must be accessible
> > 
> > I think this is fine. It is telling us that an INDEX object 
> is accesible
> > (normally it should not be accessible), but it explains us 
> why this is OK.
> > 
> >   ./T11-FC-FABRIC-CONFIG-SERVER-MIB:75: [5] 
> {type-without-format} warning:
> >   type `T11ListIndex' has no format specification
> >   ./T11-FC-FABRIC-CONFIG-SERVER-MIB:85: [5] 
> {type-without-format} warning:
> >   type `T11ListIndexPointer' has no format specification
> > 
> > It is just two warnings. Yet we may want to add a DISPLAY-HINT.
> > 
> > Bert
> >